Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Error installing canvas #2814

Closed
yuletide opened this Issue · 1 comment

3 participants

@yuletide
npm WARN package.json connect@2.4.6 No README.md file found!
npm WARN package.json proj4js@0.3.0 No README.md file found!
npm WARN engine canvas@0.8.2: wanted: {"node":">= 0.4.0 && < 0.7.0"} (current: {"node":"v0.8.8","npm":"1.1.59"})

> canvas@0.8.2 preinstall /Users/ayule/code/nodetiles/node_modules/canvas
> node-waf configure build

Checking for program g++ or c++          : /usr/bin/g++ 
Checking for program cpp                 : /usr/bin/cpp 
Checking for program ar                  : /usr/bin/ar 
Checking for program ranlib              : /usr/bin/ranlib 
Checking for g++                         : ok  
Checking for node path                   : not found 
Checking for node prefix                 : ok /usr/local/Cellar/node/0.8.8 
Checking for library gif                 : yes 
'configure' finished successfully (2.064s)
Waf: Entering directory `/Users/ayule/code/nodetiles/node_modules/canvas/build'
[1/9] cxx: src/Canvas.cc -> build/Release/src/Canvas_1.o
[2/9] cxx: src/CanvasGradient.cc -> build/Release/src/CanvasGradient_1.o
[3/9] cxx: src/CanvasRenderingContext2d.cc -> build/Release/src/CanvasRenderingContext2d_1.o
[4/9] cxx: src/color.cc -> build/Release/src/color_1.o
[5/9] cxx: src/Image.cc -> build/Release/src/Image_1.o
[6/9] cxx: src/ImageData.cc -> build/Release/src/ImageData_1.o
[7/9] cxx: src/init.cc -> build/Release/src/init_1.o
[8/9] cxx: src/PixelArray.cc -> build/Release/src/PixelArray_1.o
Waf: Leaving directory `/Users/ay/code/nodetiles/node_modules/canvas/build'
Build failed: 'NoneType' object has no attribute 'parent'
npm ERR! canvas@0.8.2 preinstall: `node-waf configure build`
npm ERR! `sh "-c" "node-waf configure build"` failed with 1
npm ERR! 
npm ERR! Failed at the canvas@0.8.2 preinstall script.
npm ERR! This is most likely a problem with the canvas package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node-waf configure build
npm ERR! You can get their info via:
npm ERR!     npm owner ls canvas
npm ERR! There is likely additional logging output above.

npm ERR! System Darwin 11.4.0
npm ERR! command "/usr/local/Cellar/node/0.8.8/bin/node" "/usr/local/bin/npm" "install" "canvas"
npm ERR! cwd /Users/ayule/code/nodetiles
npm ERR! node -v v0.8.8
npm ERR! npm -v 1.1.59
npm ERR! code ELIFECYCLE
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/ay/code/nodetiles/npm-debug.log
npm ERR! not ok code 0

debug.log:

695 verbose read json /Users/ayule/code/nodetiles/node_modules/canvas/package.json
696 silly lockFile 9c2d0e16-de-nodetiles-node-modules-canvas /Users/ayule/code/nodetiles/node_modules/canvas
697 info preinstall canvas@0.8.2
698 verbose unsafe-perm in lifecycle true
699 silly exec sh "-c" "node-waf configure build"
700 silly sh,-c,node-waf configure build,/Users/ayule/code/nodetiles/node_modules/canvas spawning
701 info canvas@0.8.2 Failed to exec preinstall script
702 info /Users/ayule/code/nodetiles/node_modules/canvas unbuild
703 verbose from cache /Users/ayule/code/nodetiles/node_modules/canvas/package.json
704 info preuninstall canvas@0.8.2
705 info uninstall canvas@0.8.2
706 verbose true,/Users/ayule/code/nodetiles/node_modules,/Users/ayule/code/nodetiles/node_modules unbuild canvas@0.8.2
707 info postuninstall canvas@0.8.2
708 error canvas@0.8.2 preinstall: `node-waf configure build`
708 error `sh "-c" "node-waf configure build"` failed with 1
709 error Failed at the canvas@0.8.2 preinstall script.
709 error This is most likely a problem with the canvas package,
709 error not with npm itself.
709 error Tell the author that this fails on your system:
709 error     node-waf configure build
709 error You can get their info via:
709 error     npm owner ls canvas
709 error There is likely additional logging output above.
710 error System Darwin 11.4.0
711 error command "/usr/local/Cellar/node/0.8.8/bin/node" "/usr/local/bin/npm" "install" "canvas"
712 error cwd /Users/ayule/code/nodetiles
713 error node -v v0.8.8
714 error npm -v 1.1.59
715 error code ELIFECYCLE
716 verbose exit [ 1, true ]
@mfncooper
Collaborator

Please note the following portion of the log:

npm ERR! Failed at the canvas@0.8.2 preinstall script.
npm ERR! This is most likely a problem with the canvas package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node-waf configure build

npm is running a script that is part of the canvas package, and that script is what is failing.

@luk- luk- closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.